%define	major 15
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Summary:	SDL graphics drawing primitives and other support functions
Name:		SDL_gfx
Version:	2.0.25
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/index.html
Source0:	http://www.ferzkopp.net/Software/SDL_gfx-2.0/%{name}-%{version}.tar.xz
BuildRequires:	SDL-devel >= 1.2.0

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code.

The current components of the SDL_gfx library are:
- Graphic Primitives (SDL_gfxPrimitves.h)
- Rotozoomer (SDL_rotozoom.h)
- Framerate control (SDL_framerate.h)
- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It's
is written in plain C and can be used in C++ code.

%package -n %{libname}
Summary:	SDL graphics drawing primitives and other support functions
Group:		System/Libraries

%description -n %{libname}
The SDL_gfx library evolved out of the SDL_gfxPrimitives code.

The current components of the SDL_gfx library are:
- Graphic Primitives (SDL_gfxPrimitves.h)
- Rotozoomer (SDL_rotozoom.h)
- Framerate control (SDL_framerate.h)
- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It's
is written in plain C and can be used in C++ code.

%package -n %{develname}
Summary:	Header files and more to develop SDL_gfx applications
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	SDL-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 15 -d

%description -n %{develname}
Header files and more to develop SDL_gfx applications.

%package -n %{staticname}
Summary:	Static SDL_gfx libraries
Group:		Development/Libraries
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 15 -d -s

%description -n	%{staticname}
Static SDL_gfx libraries.

%prep
%setup -q

%build
%configure2_5x --disable-mmx --enable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc README ChangeLog AUTHORS Docs
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{staticname}
%{_libdir}/lib*.a


%changelog
* Wed Jul 04 2018 adrianomorselli <adrianomorselli> 2.0.25-2uplos2018
- rebuild for 2018
